aboutsummaryrefslogtreecommitdiffstats
path: root/test/io-003.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/io-003.sh')
-rwxr-xr-xtest/io-003.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/test/io-003.sh b/test/io-003.sh
new file mode 100755
index 0000000..d52d321
--- /dev/null
+++ b/test/io-003.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+. "${TEST_INIT:-./test-init.sh}"
+home=$(mktemp -d)
+data="$home/.calcurse"
+
+mkdir "$data"
+HOME="$home" "$CALCURSE" -a
+[ -f "$data/apts" ] && [ -f "$data/conf" ] && failed=0 || failed=1
+
+rm -rf "$home"
+exit "$failed"